# DirectAdmin API Client

An unofficial (and very incomplete) API client for the DirectAdmin webhosting
control panel.

## Installation

```ruby
gem "direct_admin"
```

And then execute:

    $ bundle

Or install it yourself as:

    $ gem install direct_admin

## Usage

First you will need to create an instance of the client:

```ruby
require "direct_admin"

client = DirectAdmin::Client.new(url: "https://localhost:2222", username: "admin", password: "secret")
```

And then you can call any of the Command methods on the client:

```ruby
client.create_login_key("CLI Tool", "abcd1234")
```

## Limitations

This library is purposely not feature complete. The DirectAdmin API is very large,
and spread out over a large knowledgebase.

I'm implementing what I need when it's needed, but will welcome contributions,
provided they are accompanied with tests.

## Contributing

Bug reports and pull requests are welcome on GitHub at https://github.com/adam12/direct_admin.

I love pull requests! If you fork this project and modify it, please ping me to see
if your changes can be incorporated back into this project.

That said, if your feature idea is nontrivial, you should probably open an issue to
[discuss it](http://www.igvita.com/2011/12/19/dont-push-your-pull-requests/)
before attempting a pull request.

## License

The gem is available as open source under the terms of the [MIT License](http://opensource.org/licenses/MIT).
